[Unit]
Description=Teixim Cures Delayed Job

[Service]
Type=forking
PIDFile={{ pids_path }}/delayed_job.pid
RemainAfterExit=no
Restart=on-failure
RestartSec=60s
User=teiximcures
SyslogIdentifier=teiximcures-delayed_job
ExecStart=/bin/bash -lc "{{ current_path }}/script/delayed_job start --pid-dir={{ pids_path }}"
ExecStop=/bin/bash -lc "{{ current_path }}/script/delayed_job stop --pid-dir={{ pids_path }}"

[Install]
WantedBy=multi-user.target
